<?php

namespace Drupal\dppca\Attribute;

use Drupal\Component\Plugin\Attribute\Plugin;
use Drupal\Core\StringTranslation\TranslatableMarkup;

/**
 * Defines a DPPCA required task attribute object.
 */
#[\Attribute(\Attribute::TARGET_CLASS)]
class DppcaTaskRequire extends Plugin {

  /**
   * Constructs a DPPCA required task attribute.
   *
   * @param string $id
   *   The plugin ID.
   * @param \Drupal\Core\StringTranslation\TranslatableMarkup|null $label
   *   The human-readable name. Leave empty if that required plugin exists in
   *   the same module or in one if its dependencies.
   * @param \Drupal\dppca\Attribute\DppcaTaskModule[] $modules
   *   A list of suggested modules that provide support for this DPPCA tasks.
   */
  public function __construct(
    public readonly string $id,
    public readonly ?TranslatableMarkup $label = NULL,
    public readonly array $modules = [],
  ) {}

}
