<?php

namespace Drupal\dppca;

use Drupal\Core\Config\Config as CoreConfig;
use Drupal\Core\Config\ConfigFactoryInterface;

/**
 * Provides config access as a service.
 */
class Config {

  public const CONFIG_KEY = 'dppca.settings';

  /**
   * The editable config entity.
   *
   * @var \Drupal\Core\Config\Config
   */
  protected CoreConfig $config;

  /**
   * Constructs the config service for DPPCA.
   *
   * @param \Drupal\Core\Config\ConfigFactoryInterface $configFactory
   *   The config factory.
   */
  public function __construct(ConfigFactoryInterface $configFactory) {
    $this->config = $configFactory->getEditable(self::CONFIG_KEY);
  }

}
