<?php

namespace Drupal\dppca;

use Drupal\Core\StringTranslation\TranslatableMarkup;

/**
 * Interface for DPPCA task plugins.
 */
interface DppcaTaskInterface {

  /**
   * Get the plugin's label.
   *
   * @return \Drupal\Core\StringTranslation\TranslatableMarkup
   *   The plugin's label.
   */
  public function label(): TranslatableMarkup;

  /**
   * Get the plugin's description.
   *
   * @return \Drupal\Core\StringTranslation\TranslatableMarkup
   *   The plugin's description.
   */
  public function description(): TranslatableMarkup;

  /**
   * Get the plugin's category.
   *
   * @return \Drupal\Core\StringTranslation\TranslatableMarkup
   *   The plugin's category.
   */
  public function category(): TranslatableMarkup;

  /**
   * Gets the renderable build array containing the audit result.
   *
   * @param array $children
   *   List of children IDs as array keys and and array of their children.
   *
   * @return array
   *   The renderable build array.
   */
  public function build(array $children): array;

}
