<?php

namespace Drupal\dppca\Plugin\DPPCA;

use Drupal\Core\StringTranslation\TranslatableMarkup;
use Drupal\dppca\Attribute\DppcaTask;
use Drupal\dppca\Attribute\DppcaTaskRequire;
use Drupal\dppca\DppcaTaskBasePlugin;

/**
 * Provides DPPCA task plugin to provide legal content.
 */
#[DppcaTask(
  id: 'content',
  label: new TranslatableMarkup('Content'),
  category: new TranslatableMarkup('Legal'),
  description: new TranslatableMarkup('Legally required content like general terms, privacy statement, etc.'),
  require: [
    new DppcaTaskRequire(id: 'content_privacy_statement'),
  ],
)]
class Content extends DppcaTaskBasePlugin {

}
