<?php

namespace Drupal\dppca\Plugin\DPPCA;

use Drupal\Core\StringTranslation\TranslatableMarkup;
use Drupal\dppca\Attribute\DppcaTask;
use Drupal\dppca\DppcaTaskBasePlugin;
use Drupal\dppca\DppcaTaskConfigFormInterface;
use Drupal\dppca\Form\PrivacyStatementForm;

/**
 * Provides DPPCA task plugin to provide a privacy statement.
 */
#[DppcaTask(
  id: 'content_privacy_statement',
  label: new TranslatableMarkup('Content: privacy statement'),
  category: new TranslatableMarkup('Legal'),
  description: new TranslatableMarkup('Provide a privacy statement.'),
)]
class ContentPrivacyStatement extends DppcaTaskBasePlugin implements DppcaTaskConfigFormInterface {

  /**
   * {@inheritdoc}
   */
  public function getFormClassName(): string {
    return PrivacyStatementForm::class;
  }

}
