<?php

namespace Drupal\dppca\Plugin\DPPCA;

use Drupal\Core\StringTranslation\TranslatableMarkup;
use Drupal\dppca\Attribute\DppcaTask;
use Drupal\dppca\Attribute\DppcaTaskRequire;
use Drupal\dppca\DppcaTaskBasePlugin;

/**
 * Provides DPPCA task plugin to avoid embedding of external assets.
 */
#[DppcaTask(
  id: 'embedded_assets',
  label: new TranslatableMarkup('Embedded assets'),
  category: new TranslatableMarkup('Legal'),
  description: new TranslatableMarkup('Avoid embedding external assets.'),
  require: [
    new DppcaTaskRequire(id: 'embedded_assets_fonts'),
    new DppcaTaskRequire(id: 'embedded_assets_libraries'),
    new DppcaTaskRequire(id: 'embedded_assets_videos'),
  ],
)]
class EmbeddedAssets extends DppcaTaskBasePlugin {

}
