<?php

namespace Drupal\dppca\Plugin\DPPCA;

use Drupal\Core\StringTranslation\TranslatableMarkup;
use Drupal\dppca\Attribute\DppcaTask;
use Drupal\dppca\DppcaTaskBasePlugin;

/**
 * Provides DPPCA task plugin to avoid embedding external libraries.
 */
#[DppcaTask(
  id: 'embedded_assets_libraries',
  label: new TranslatableMarkup('Embedded assets: libraries'),
  category: new TranslatableMarkup('Legal'),
  description: new TranslatableMarkup('Avoid embedding external libraries.'),
)]
class EmbeddedAssetsLibraries extends DppcaTaskBasePlugin {

}
