<?php

namespace Drupal\dppca\Plugin\DPPCA;

use Drupal\Core\StringTranslation\TranslatableMarkup;
use Drupal\dppca\Attribute\DppcaTask;
use Drupal\dppca\Attribute\DppcaTaskModule;
use Drupal\dppca\Attribute\DppcaTaskRequire;
use Drupal\dppca\DppcaTaskBasePlugin;

/**
 * Provides DPPCA task plugin to comply with GDPR.
 */
#[DppcaTask(
  id: 'gdpr',
  label: new TranslatableMarkup('GDPR'),
  category: new TranslatableMarkup('Privacy'),
  description: new TranslatableMarkup('EU GDPR compliance'),
  require: [
    new DppcaTaskRequire(id: 'pii'),
    new DppcaTaskRequire(id: 'dark_patterns'),
    new DppcaTaskRequire(id: 'embedded_assets'),
    new DppcaTaskRequire(id: 'subscriptions'),
    new DppcaTaskRequire(id: 'content'),
    new DppcaTaskRequire(
      id: 'consent_management',
      label: new TranslatableMarkup('Consent management'),
      modules: [
        new DppcaTaskModule(
          id: 'gdpr',
          label: new TranslatableMarkup('General Data Protection Regulation'),
        ),
      ],
    ),
  ],
)]
class Gdpr extends DppcaTaskBasePlugin {

}
