<?php

namespace Drupal\dppca\Plugin\DPPCA;

use Drupal\Core\StringTranslation\TranslatableMarkup;
use Drupal\dppca\Attribute\DppcaTask;
use Drupal\dppca\DppcaTaskBasePlugin;

/**
 * Provides DPPCA task plugin ensuring double opt-in for subscriptions.
 */
#[DppcaTask(
  id: 'subscription_double_opt_in',
  label: new TranslatableMarkup('Subscription double opt-in'),
  category: new TranslatableMarkup('Legal'),
  description: new TranslatableMarkup('Make sure that subscriptions require a double opt-in by the user and that this is documented.'),
)]
class SubscriptionDoubleOptIn extends DppcaTaskBasePlugin {

}
