<?php

namespace Drupal\dppca\Plugin\DPPCA;

use Drupal\Core\StringTranslation\TranslatableMarkup;
use Drupal\dppca\Attribute\DppcaTask;
use Drupal\dppca\Attribute\DppcaTaskRequire;
use Drupal\dppca\DppcaTaskBasePlugin;

/**
 * Provides DPPCA task plugin to ensure compliance for subscriptions.
 */
#[DppcaTask(
  id: 'subscriptions',
  label: new TranslatableMarkup('Subscriptions'),
  category: new TranslatableMarkup('Legal'),
  description: new TranslatableMarkup('Follow all the rules for subscriptions and un-subscribing on the site.'),
  require: [
    new DppcaTaskRequire(id: 'subscription_double_opt_in'),
    new DppcaTaskRequire(id: 'subscription_easy_opt_out'),
  ],
)]
class Subscriptions extends DppcaTaskBasePlugin {

}
